Reward markets
curl --request GET \
--url https://api.polynode.dev/v3/rewards/markets \
--header 'x-api-key: <api-key>'import requests
url = "https://api.polynode.dev/v3/rewards/markets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.polynode.dev/v3/rewards/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reward_semantics": "<string>",
"data": {
"count": 1,
"data": [
{
"condition_id": "<string>",
"title": "<string>",
"slug": "<string>",
"image": "<string>",
"event_slug": "<string>",
"event_title": "<string>",
"category": "<string>",
"tag_slugs": [
"<string>"
],
"native_daily_rate": 123,
"total_daily_rate": 123,
"rewards_max_spread": 123,
"rewards_min_size": 123,
"rewards_config": [
{
"asset_address": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"rate_per_day": 123,
"id": 123,
"total_days": 1,
"total_rewards": 123
}
]
}
],
"limit": 2,
"next_cursor": "<string>"
}
}Rewards
Reward Markets
List public Polymarket reward market configurations.
GET
/
v3
/
rewards
/
markets
Reward markets
Returns Polymarket’s public reward-market configuration feed with nullable
market and event context. This describes markets with active reward programs;
it is not per-wallet earned LP rewards.
These fields are nullable. Reward configuration fields such as
Request
GET /v3/rewards/markets
Query parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
sponsored | boolean | false | Filter to sponsored reward markets |
next_cursor | string | — | Pagination cursor |
Example
curl "https://api.polynode.dev/v3/rewards/markets" \
-H "x-api-key: $POLYNODE_API_KEY"
{
"reward_semantics": "public Polymarket reward market configuration; this is not per-wallet earned LP rewards",
"data": {
"count": 1,
"limit": 500,
"data": [
{
"condition_id": "0x0001cb8c0b39aeb614ab9a43867595317f06ede9c011661513065c638fbbefda",
"title": "Will the example market resolve Yes?",
"slug": "will-the-example-market-resolve-yes",
"image": "https://example.com/market.png",
"event_slug": "example-event",
"event_title": "Example event",
"category": "examples",
"tag_slugs": ["example"],
"native_daily_rate": 1,
"rewards_config": [
{
"asset_address": "0xC011a7E12a19f7B1f670d46F03B03f3342E82DFB",
"end_date": "2500-12-31",
"id": 0,
"rate_per_day": 1,
"start_date": "2026-02-17",
"total_rewards": 0
}
],
"rewards_max_spread": 4.5,
"rewards_min_size": 50,
"total_daily_rate": 1
}
],
"next_cursor": null
}
}
Response fields
| Field | Type | Description |
|---|---|---|
reward_semantics | string | Meaning note |
data | object | Reward-market configuration response |
data.count is the number of rows in this page, data.limit is the page size,
and data.next_cursor continues pagination when it is not null.
Market context fields
Every row indata.data includes these additive fields:
| Field | Type | Description |
|---|---|---|
title | string or null | Market title, or null when unavailable. |
slug | string or null | Market slug, or null. |
image | string or null | Market image URL, or null. |
event_slug | string or null | Parent event slug, or null. |
event_title | string or null | Parent event title, or null. |
category | string or null | Market category, or null. |
tag_slugs | array<string> or null | Market tags, or null when unavailable. |
native_daily_rate, total_daily_rate, rewards_max_spread,
rewards_min_size, and rewards_config remain unchanged.
Errors
| HTTP | When |
|---|---|
401 | Missing or invalid polynode API key |
502 | Temporary rewards data provider failure |
503 | Reward-market metadata is temporarily unavailable |

